<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Copyright (c) 2002-2007 by SAS Institute Inc., Cary, NC 27513 USA. All Rights Reserved. -->
<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@page import="com.sas.web.keys.CommonKeys"%>
<%@page import="com.sas.bi.dashboard.context.DashboardContext"%>
<%@page import="com.sas.bi.dashboard.common.DashboardConstants"%>
<%@page import="com.sas.bi.dashboard.common.ObjectLocation"%>
<%@page import="com.sas.bi.dashboard.common.CommonManager"%>
<%@page import="com.sas.svcs.webapp.util.ServletUtil"%>
<%@page import="java.net.URLEncoder"%>
<%@page import="java.net.URL"%>
<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@page import="com.sas.bi.dashboard.util.DBLocaleFilter"%>
<%@page import="com.sas.bi.dashboard.i18n.RB"%>
<%@page import="com.sas.bi.dashboard.config.AppConfig"%>
<%@page import="com.sas.bi.dashboard.portal.services.client.PortalServiceClient"%>
<%@page import="com.sas.bi.dashboard.context.DashboardServices"%>

<%@ taglib uri="http://www.sas.com/taglib/sas-flex" prefix="sas-flex" %>
<%@taglib uri="http://struts.apache.org/tags-tiles" prefix='tiles'%>
<%@taglib uri='http://www.sas.com/taglib/sas-ui' prefix='sas-ui' %>

<%@page import="com.sas.bi.dashboard.common.HostApplication"%><html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<%
       DashboardContext ctx = (DashboardContext)request.getAttribute(DashboardConstants.DASHBOARD_CONTEXT);
       String metadataServerName = AppConfig.getInstance().getMetaserver();
        if (!ctx.isBIDUser() && !ctx.isBIDAdminRole() && !ctx.isBIDAdmin()) {
            List errMsgs = new ArrayList();
            errMsgs.add(RB.getString("unauthorized.user.error.txt"));
            request.setAttribute(DashboardConstants.EDITOR_ERROR_MSGS, errMsgs);
            request.setAttribute(DashboardConstants.EDITOR_ERROR_HIDE_BACK_BUTTON, new Object());
            // Workaround for a problem with jsp:forward (S0654938)
            request.getRequestDispatcher("/tiles-components/EditorError.jsp").include(request, response);
        } else {
            com.sas.servlet.util.JavaScriptIncludeHandler.clear(request);

        	//cache locale for bug S0650438
       		request.getSession().setAttribute(DBLocaleFilter.Key_LocaleCache, request.getLocale());

            String jsr168 = request.getParameter("jsr168");
            boolean isJsr168 = (jsr168 != null);

            String activePortalPage = (String)request.getParameter("activePortalPage");
            if (activePortalPage != null) {
            	request.getSession().setAttribute ("activePortalPage", activePortalPage);
	    }

            String showAdminUiVar = String.valueOf((ctx.isBIDAdminRole() || ctx.isBIDAdmin()));
            String dashboardVar = request.getParameter("dashboard");
            if ((dashboardVar == null) || "DefaultDashboard".equals(dashboardVar)) {
                dashboardVar = "";
            } else {
                dashboardVar = URLEncoder.encode(dashboardVar, "UTF-8");
            }
            String dashboardKeyVar = request.getParameter("dashboardKey");
            if (dashboardKeyVar == null) {
                dashboardKeyVar = "";
            }
            
            // portal back button issue workaround
            String contentOverride = (String) ctx.getSessionContext().getAttribute("portal_dashboard_override");
            if (contentOverride != null) {
            	dashboardVar = contentOverride;
            	dashboardKeyVar = "";
            	ctx.getSessionContext().setAttribute("portal_dashboard_override", null);
            }
    
            String autoRefreshIntervalVar = request.getParameter("autoRefreshInterval");
            if (autoRefreshIntervalVar == null) {
                autoRefreshIntervalVar = "";
            }
            autoRefreshIntervalVar = URLEncoder.encode(autoRefreshIntervalVar, "UTF-8");
            
            CommonManager cm = CommonManager.getInstance();
            String logoffURLVar = cm.generateDashboardUrl(ctx, "Logoff", "_locale=" + request.getLocale());
            logoffURLVar = URLEncoder.encode(logoffURLVar, "UTF-8");

            // hostApp is already set if coming from sharepoint. Don't overwrite
            // it here. Otherwise, set it to portal.
            String hostAppVar = request.getParameter("hostApp");
            if ((hostAppVar == null) || (hostAppVar.length() == 0))
            {
                hostAppVar = HostApplication.PORTAL;
            }


           String returnURLVar = "";
                   
           if (HostApplication.PORTAL.equals(hostAppVar)) {
               PortalServiceClient portalClient = DashboardServices.getInstance().getPortalServiceClient(ctx.getHttpServletRequest());
               returnURLVar = portalClient.getBackToPortalUri();
	   }


            String baseUrl = cm.generateDashboardUrl(ctx, "DashboardRuntime/index.jsp");

            String frameWidth = request.getParameter("frameWidth");
            String frameHeight = request.getParameter("frameHeight");
            
            if (frameWidth == null)
            	frameWidth = "600";
            
            if (frameHeight == null)
            	frameHeight = "400";
            	
            frameWidth = URLEncoder.encode(frameWidth, "UTF-8");
            frameHeight = URLEncoder.encode(frameHeight, "UTF-8");
            
            String wmode = request.getParameter("wmode");
            if (wmode != null && !wmode.equals("")) {
				wmode = URLEncoder.encode(wmode, "UTF-8");
            }
            
            String srcapp = request.getParameter("srcapp");
            boolean isScrap = srcapp != null && srcapp.length() > 0;
%>
           <head>
              <title></title>
              <base href="<%=baseUrl%>">
           </head>
           <body scroll="no">
              <sas-flex:application swf="DashboardRuntime"
                expressInstallSwf="DashboardRuntime/expressInstall.swf"
                bgColor="#869ca7">
                
                 <% if (wmode != null && !wmode.equals("")) { %>
                 <sas-flex:parameter name="wmode" value="<%=wmode%>"/>
                 <% } %>
                 
                 <sas-flex:flashvar name="content" value="<%=dashboardVar%>"/>
                 <sas-flex:flashvar name="contentKey" value="<%=dashboardKeyVar%>"/>
                 <sas-flex:flashvar name="contentType" value="Dashboard"/>
                 <sas-flex:flashvar name="autoRefreshInterval" value="<%=autoRefreshIntervalVar%>"/>
                 <sas-flex:flashvar name="showAdminUi" value="<%=showAdminUiVar%>"/>
                 <sas-flex:flashvar name="timeoutMaxInactiveInterval" value="-1"/>
                 <sas-flex:flashvar name="logoffURL" value="<%=logoffURLVar%>"/>
                 <sas-flex:flashvar name="enableBookmarks" value="false"/>
                 <sas-flex:flashvar name="enableComments" value="false"/>
                 <sas-flex:flashvar name="enableZoomAndFoldout" value="false"/>
                 <sas-flex:flashvar name="enableAlertPersonalization" value="false"/>
                 <sas-flex:flashvar name="showToolbar" value="false"/>
                 <sas-flex:flashvar name="hostApp" value="<%=hostAppVar%>"/>
                 <sas-flex:flashvar name="metadataServerName" value='<%=metadataServerName%>'/>
                 <sas-flex:flashvar name="frameWidth" value="<%=frameWidth%>"/>
                 <sas-flex:flashvar name="frameHeight" value="<%=frameHeight%>"/>
                 <sas-flex:flashvar name="returnUrl" value="<%=returnURLVar%>"/>

<%
			if (isScrap) {
%>
                 <sas-flex:flashvar name="srcapp" value="<%=srcapp%>"/>
<%
			}
%>
              </sas-flex:application>
           </body>
<%
        }
%>
</html>
